librime: rime::FoldedOptions Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::FoldedOptions Class Reference
Inheritance diagram for rime::FoldedOptions:
[legend]
Collaboration diagram for rime::FoldedOptions:
[legend]

## Public Member Functions
| FoldedOptions (Config *config)
void | Apply (Switcher *switcher) override
void | Append (const SwitchOption &option, size_t state_index)
void | Finish ()
size_t | size () const
Public Member Functions inherited from rime::SimpleCandidate
| SimpleCandidate ()=default
| SimpleCandidate (const string &type, size_t start, size_t end, const string &text, const string &comment=string(), const string &preedit=string())
const string & | text () const
string | comment () const
string | preedit () const
void | set_text (const string &text)
void | set_comment (const string &comment)
void | set_preedit (const string &preedit)
Public Member Functions inherited from rime::Candidate
| Candidate ()=default
| Candidate (const string &type, size_t start, size_t end, double quality=0.)
virtual | ~Candidate ()=default
int | compare (const Candidate &other)
const string & | type () const
size_t | start () const
size_t | end () const
double | quality () const
void | set_type (const string &type)
void | set_start (size_t start)
void | set_end (size_t end)
void | set_quality (double quality)
Public Member Functions inherited from rime::SwitcherCommand
| SwitcherCommand (const string &keyword)
const string & | keyword () const

## Additional Inherited Members
Static Public Member Functions inherited from rime::Candidate
static an< Candidate > | GetGenuineCandidate (const an< Candidate > &cand)
static vector< of< Candidate > > | GetGenuineCandidates (const an< Candidate > &cand)
Protected Attributes inherited from rime::SimpleCandidate
string | text_
string | comment_
string | preedit_
Protected Attributes inherited from rime::SwitcherCommand
string | keyword_

## Constructor & Destructor Documentation

## ◆ FoldedOptions()

rime::FoldedOptions::FoldedOptions | ( | Config * | config | ) |
| inline

## Member Function Documentation

## ◆ Append()

void rime::FoldedOptions::Append | ( | const SwitchOption & | option,
|  | size_t | state_index )

## ◆ Apply()

void rime::FoldedOptions::Apply | ( | Switcher * | switcher | ) |
| overridevirtual

Implements rime::SwitcherCommand.

## ◆ Finish()

void rime::FoldedOptions::Finish | ( |  | ) |

## ◆ size()

size_t rime::FoldedOptions::size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- switch_translator.cc